body {
    font-family: Arial, sans-serif;
    background-color: #F0F5FF;
    margin: 0;
    padding: 0;
}

header {
    background-color: #1E90FF;
    color: #FFFFFF;
    text-align: center;
    padding: 20px;
}

h1 {
    font-size: 28px;
    margin: 0;
}

label {
    display: block;
    margin: 10px 0;
    font-weight: bold;
}

select, button {
    padding: 10px;
    font-size: 16px;
    border: none;
    background-color: #3498DB;
    color: #FFFFFF;
    cursor: pointer;
}

select:hover, button:hover {
    background-color: #1E90FF;
}

.tables-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.table-cell {
    background-color: #FFFFFF;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin: 10px;
    padding: 20px;
    border-radius: 5px;
    text-align: center;
}

.digit {
    max-width: 20px;
    vertical-align: middle;
    margin: 0 5px;
}

@media (max-width: 768px) {
    .table-cell {
        width: calc(50% - 20px);
    }
}

@media (max-width: 480px) {
    .table-cell {
        width: calc(100% - 20px);
    }
}
